# Uses of Interface
org.eclipse.jdt.ui.search.ISearchRequestor

Packages that use ISearchRequestor
Package
Description
org.eclipse.jdt.ui.search
Application programming interfaces for Java search participants..

## Uses of ISearchRequestor in org.eclipse.jdt.ui.search

Methods in org.eclipse.jdt.ui.search with parameters of type ISearchRequestor
Modifier and Type
Method
Description
`void`
IQueryParticipant.`search(ISearchRequestor requestor, QuerySpecification querySpecification, org.eclipse.core.runtime.IProgressMonitor monitor)`
Executes the search described by the given `querySpecification`.